Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7450 - wu-ftpd-2.6.0-1 doesn't work with mirror-2.8-6
Summary: wu-ftpd-2.6.0-1 doesn't work with mirror-2.8-6
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: mirror
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Powers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-30 19:26 UTC by Cindy Sellers
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-18 15:33:31 UTC


Attachments (Terms of Use)

Description Cindy Sellers 1999-11-30 19:26:00 UTC
using mirror.pl with wu-ftpd-2.5.0-9 I am able to mirror directories
correctly. When I upgrade to wu-ftpd-2.6.0-1 mirror.pl no longer works.
The first error that appears (when using '-d -d -d' to increase debugging
info) is in response to: LIST -lRAT
The contents of the directory is listed correctly but then the words:
'timed out' appear instead of '226 Transfer complete'
Later in the process I get the message:
'Failed to put <file>'
Still later I get:
"'SITE CHMOD 666': command not understood" (presumable because it's
trying 		to chmod a file that isn't there based on the previous error?)

Eventually I get the message:
'426 Data Connection: Connection reset by peer'

The files do not get mirrored.

I can recreate the error by uninstalling the old package and reinstalling
the new one. I can remove it by reverting to the old package (I uninstall
the new one first).

I can provide output from running mirror.pl in both cases as well as the
mirror confguration file as needed.

Comment 1 Bernhard Rosenkraenzer 2000-01-18 15:33:59 UTC
This is a bug in mirror (see http://www.wu-ftpd.org/broken-clients.html).
We've fixed it a while ago in mirror-2.9-6.

Sorry for the delay, we just changed wu-ftpd maintainers.


Note You need to log in before you can comment on or make changes to this bug.